Status: Closed Start date: 07/11/2022
Priority: Normal Due date: 07/22/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 9.50 hours
Description

DT-Book is one in which source pages are initially split by default at tags such as dt (The <dt> tag defines a term/name in a
description list. The <dt> tag is used in conjunction with <dI> (defines a description list) and <dd> (describes each term/name).) A

non-DT book is one in which source pages are split using h tags.

DT books are useful for booklet use case and non-DT books are useful for 'annotated documentation' use case.

So, both versions will be ingested. Other requirements:

- link update should work within DT or non-DT books. Meaning that DT books should connect to only DT books. Similarly, non-DT

books should connect to only non-DT books.
- remove search bar on booklet page

- on document pages, search should include only non-DT books.

Subtasks:

Task # 2499: During ingest add a new field called "isFinerGranularBook".

Task # 2500: Perform 'link update' on the basis of 'isFinerGranularBook(DT)' field.
Task # 2501: Show/Forward only isFinerGranularBook=false books in the 'annotated docume...

Task # 2502: Remove the search bar on the booklet page. And also add the book-name in t...

Task # 2534: Disable hyperlinks and purple links in booklet page
History

#1 - 07/11/2022 12:20 PM - Ayush Khandelwal
- Due date set to 07/15/2022

#2 - 07/11/2022 12:44 PM - Ram Kordale
- Description updated

#3 - 07/25/2022 05:54 AM - Ayush Khandelwal

- Status changed from New to Resolved

#4 - 07/25/2022 05:54 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#5 - 07/26/2022 12:09 PM - Ram Kordale
- Status changed from Feedback to Closed
